<template>
  <h2>Good bye!</h2>
</template>

<script>
import gql from 'graphql-tag'

export default {
  mounted(){
    this.$apollo.mutate({
      mutation: gql`mutation {
        signOut {
          success
          message
        }
      }`,
      update: (store, { data: { signOut }}) => {
        if(signOut.success)
          window.location.href = '/'
        else
          this.$message.error('Username or password incorrect.')
      }
    })
  }
}
</script>
